/*
CSIM is a simulator for the processor used in the HP "Classic" series
of calculators, which includes the HP-35, HP-45, HP-55, HP-65, HP-70,
and HP-80.

$Id: util.h 227 2004-02-17 07:27:42Z eric $
Copyright 1995, 2004 Eric L. Smith

CSIM is free software; you can redistribute it and/or modify it under the
terms of the GNU General Public License version 2 as published by the Free
Software Foundation.  Note that I am not granting permission to redistribute
or modify CSIM under the terms of any later version of the General Public
License.

This program is distributed in the hope that it will be useful (or at least
amusing), but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along with
this program (in the file "COPYING"); if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/


#define QMAKESTR(x) #x
#define MAKESTR(x) QMAKESTR(x)


extern char * progname;  /* must be set by main program */

void usage (FILE *f);    /* must be implemented in main program */

void fatal (int ret, char *format, ...);

void *alloc (size_t size);

char *newstr (char *orig);

char *newstrn (char *orig, int max_len);

void trim_trailing_whitespace (char *s);

